/* --------------------------------------------------

    2025 各種サービス ログイン・登録

-------------------------------------------------- */
html {
    scroll-behavior: smooth;
}

img {
    object-fit: contain;
    vertical-align: top;
}

#pat a,
#umaca a,
#qrbet a
#reservation a,
#app a,
#useful a {
    line-height: 1;
}


/* - レイアウト
-------------------------------------------------- */

.w940 {
	max-width: min(100%, 940px);
	margin: 0 auto;
}

.w1200 {
	max-width: min(100%, 1200px);
	margin: 0 auto;
}

a { color: #0155AD; }

.w940[id] {
    margin-top: 60px;
    margin-top: clamp(40px, 10vw, 80px);
    scroll-margin-top: 70px;
}

#pat {
    margin-top: 20px;
}

.w940[id] h2 {
    font-size: 2rem;
    font-size: clamp(1.8rem, 0.0266rem + 2.3121vw, 2.2rem);
}

h2.heading-underline + * {
    margin-top: 30px;
    margin-top: clamp(24px, 6vw, 40px);
}

.w940[id] h3 {
    font-size: 1.8rem;
    font-size: clamp(1.6rem, -0.1734rem + 2.3121vw, 2rem);
}

.w940[id] h3 + .unit_list{
    margin-top: 24px;
    margin-top: clamp(16px, 4vw, 30px);
}

.btn-round{
    line-height: 1;
}



/* - コンテンツヘッダーエリア
-------------------------------------------------- */

.shadow_wrap {
    position: relative;
    overflow: hidden;
    /* 擬似要素のの高さの半分 */
    padding-bottom: 4vw;
    width: 100%;
}

.head_area {
    position: relative;
    padding-bottom: 20px;
}

.head_area::before {
    content: "";
    width: 160vw;
    height: 8vw;
    border-radius: 50%;
    position: absolute;
    display: block;
    left: 50%;
    top: 100%;
    bottom: 0;
    transform: translateX(-50%);
    box-shadow: inset 0px 0 2vw rgba(0, 120, 83, 0.2);
    box-shadow: inset 0px 0 clamp(1.5rem, 4vw, 2rem) rgb(from var(--main-color) r g b / 20%);
}

.head_area .heading-simple.h2 {
    display: flex;
    align-items: center;
    gap: 12px;
    margin-top: 20px;
    margin-top: clamp(16px, 3vw, 24px);
    font-size: 2rem;
    font-size: clamp(1.8rem, 0.0266rem + 2.3121vw, 2.2rem);
}

.head_area .heading-simple.h2 .icon{
    height: 1.2em;
}

.head_area .nav_beginner_local {
    display: flex;
    flex-wrap: wrap;
    gap: 8px 0;
    margin-top: 16px;
}

.head_area .nav_beginner_local > div {
    margin-right: 8px;
}

.head_area .nav_beginner_local a {
    padding: 8px 10px;
    font-size: 1.1rem;
    font-size: clamp(1rem, 0.8240rem + 0.4000vw, 1.2rem);
}

/* - コンポーネント追加・修正
-------------------------------------------------- */

/* --- ボタンリスト・注記 --- */

.btn_group {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 20px;
    gap: clamp(10px, 2vw, 20px);
    margin-top: 30px;
    margin-top: clamp(24px, 6vw, 40px);
    font-size: 1.6rem;
}

.btn_group.no_border {
    gap: 30px;
}
.btn_group.no_border .btn-def-simple{
    border: none;
    padding: 0;
    box-shadow: none;
}

.unit_list + .note {
    margin-top: 30px;
    margin-top: clamp(24px, 6vw, 40px);
}

.note {
    inline-size: fit-content;
    margin-inline: auto;
}

.note + .btn_group {
    margin-top: 20px;
    margin-bottom: 20px;
    margin-top: clamp(16px, 4vw, 24px);
    margin-bottom: clamp(16px, 4vw, 24px);
}




/* - ユニットリスト
------------------------------------------------------------ */
.unit_list {
	display: grid;
	grid-template-columns: repeat(2, 1fr);
	grid-gap: clamp(24px, 4vw, 60px) clamp(8px, 4vw, 60px);
    justify-items: center;
    /* width: 100%;
    max-width: 760px; */
    margin: 0 auto;
    text-align: center;
}

/* --- 1列 --- */
.unit_list.center {
    grid-template-columns: .5fr;
    justify-content: center;
}

/* --- 3列 --- */
.unit_list.col3 {
    grid-template-columns: repeat(3, 1fr);
    justify-content: center;
}


.unit_list .unit a{
	border: 1px solid #ddd;
	border-radius: 8px;
	padding: 16px;
	box-shadow: 0 2px 16px rgba(0,0,0,0.1);
}

.unit_list .unit > a {
    justify-self:center;
    max-width: 392px;
	text-decoration: none;
	color: #333;
	position: relative;
	display: block;
}

.unit_list .unit > a .img + .title { margin-top: 15px; }

.unit_list .unit > a .title {
    display: flex;
	align-items: center;
    justify-content: center;
	gap: 10px;
    font-size: 1.4rem;
    font-size: clamp(1.2rem, 0.8480rem + 0.8000vw, 1.6rem);
	font-weight: bold;
}

.unit_list .unit > a .title i { color: var(--base-green); }


/* --- アイテム 大サイズ --- */
.unit_list .unit.wide {
    grid-column: 1 / -1;
    max-width: 720px;
}

/* --- 上部テキストあり  --- */
.unit_list .unit {
    display: grid;
    grid-template-rows: subgrid;
    grid-row: span 2;
    gap: 15px;
    gap: clamp(12px, 2vw, 24px);
    width: 100%;
}

/* --- 上部テキスト無し  --- */
.unit_list .unit.row1 {
    grid-row: span 1;
}

.unit_list .unit .heading-leftline{
    justify-self:start;
    text-align: left;
}

/* --- 画像ボーダーあり  --- */
.unit_list .unit .shadow img {
    max-height: 100%;
    border: 1px solid #ddd;
}

/* - 電投ログイン
-------------------------------------------------- */

.login_unit {
    max-width: 670px;
    margin-inline: auto;

    margin-top: 40px;
}

.login_unit>*+* {
    margin-top: 16px;
}

.login_unit .btn_list {
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    gap: 8px;
}


.login_unit .btn_list .unit {
    width: calc((100% - 16px) / 3);
}

.login_unit .btn_list .unit a {
    display: block;
    text-decoration: none;
    text-align: center;
    color: var(--color-white);

}

.login_unit .btn_list .unit a .logo {
    display: flex;
    justify-content: center;
    align-items: center;
    height: auto;
    aspect-ratio: 220 / 34;
    line-height: 1;
}

.login_unit .btn_list .unit a .logo img{
    height: 100%;
}

.login_unit .btn_wrap {
    display: inline-block;
    margin-top: 8px;
}

.login_unit .btn-round {
    padding: 1em 1.5em;
    font-size: 1.3rem;
    font-size: clamp(1.2rem, -0.5734rem + 2.3121vw, 1.6rem);
    font-weight: 500;
}

.login_unit .btn-round span {
    display: inline-block;
}

.login_unit .unit.soku a .btn-round {
    background-color: #1D2186;
}

.login_unit .unit.direct a .btn-round {
    background-color: #163C2B;
}

.login_unit .unit.nar a .btn-round {
    background-color: #581800;
}

.login_unit .btn_group a img {
    max-width: 28px;
    height: 16px;
    width: auto;
    object-fit: contain;
}

/* - 各種アプリ
-------------------------------------------------- */
#app .unit_list {
    --cardSize: 180px;
    grid-template-columns: repeat(auto-fit, minmax(var(--cardSize), 1fr));
    justify-items: stretch;
    gap: 1em;
    width: auto;
}

#app .unit_list .unit a {
    width: 100%;
    padding: 16px .5em;
}

#app .unit_list .unit > a .title{
    gap: 4px;
}

#app .unit_list .unit .img {
    width: clamp(56px,10vw,72px);
    margin: 0 auto;
    border-radius: 13%;
    overflow: hidden;
}

#useful a{
    font-size: 1.6rem;
    font-weight: 500;
    word-break: keep-all;
    overflow-wrap: anywhere;
}

/* ------------------------------------------------------------
	959px以下
------------------------------------------------------------ */
@media screen and ( max-width : 959px ) {
	.w940 {
        padding-left: 10px;
        padding-right: 10px;
    }
}

/* ------------------------------------------------------------

	767px以下

------------------------------------------------------------ */

@media screen and ( max-width : 767px ) {

    .head_area .nav_beginner_local {
        width: calc(100% + 8px);
    }
    .head_area .nav_beginner_local a {
        padding: 6px 6px;
    }
    .head_area .nav_beginner_local > div {
        margin-right: 6px;
    }
    .link-icon {
        gap: 3px;
    }

    .unit_list,.unit_list.center {
        grid-template-columns: 1fr;
        width: 100%;
    }
    .unit_list .unit {
        width: 100%;
    }

    .unit_list a,
    .unit_list.center a {
        width: clamp(240px,70vw,400px);
        margin: 0 auto;
    }


    .unit_list.col3 a {
        width: 100%;
    }

    .btn_group,
    #useful a {
        font-size: 1.3rem;
    }

}

/* ------------------------------------------------------------
	479px以下
------------------------------------------------------------ */
@media screen and ( max-width : 479px ) {

    #app .unit_list {
        --cardSize: 150px;
    }

}

/* ------------------------------------------------------------

	360px以下

------------------------------------------------------------ */

@media screen and ( max-width : 360px ) {

    .heading-underline.heading-underline {
        font-size: 2rem;
    }

    .heading-leftline.h2 {
        font-size: 1.8rem;
    }

    .unit_list{
        grid-template-columns: 1fr;
        gap: 30px;
    }

    .login_unit .btn-round {
        padding: .5em .5em;
    }

}